Get a business account
curl --request GET \
--url https://b.anny.co/api/v1/business-accounts/{business_account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/business-accounts/{business_account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/business-accounts/{business_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "business-accounts",
"attributes": {
"name": "<string>",
"brand_name": "<string>",
"domain": "<string>",
"vat_id": "<string>",
"billing_email": "<string>",
"allow_subdomains": true,
"domain_auto_join": true,
"created_at": "<string>",
"updated_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"primary_address": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"business_account_members": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
}
},
"meta": {
"membership": {
"id": "<string>",
"role": "owner",
"status": "active",
"source": "<string>",
"created_at": "<string>"
},
"can_request_join": true,
"can_accept_invite": true,
"can_reject_invite": true,
"member_count": 123,
"pending_member_count": 123
}
}
}Account
Get a business account
Returns the membership-aware business-account payload for the active customer.
Owner/admin screens in the shop request:
include=business_account_members.customer_account,primary_address,logo_image
GET
/
api
/
v1
/
business-accounts
/
{business_account_id}
Get a business account
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Business account UUID
Antwort
200 - application/vnd.api+json
Business account
A customer self-service business account with membership-aware visibility.
Show child attributes
Show child attributes
⌘I